#include <stdio.h>
#include <stdlib.h>
#include <termios.h>
#include <unistd.h>  // usleep 
#include <fcntl.h>   // file serial stuff 
#include <sys/ioctl.h>

//This is a test program that I wrote to debug the "What's so special about
//register 10" post.
//KMN 7/17/2007

struct termios mData;
int mFD; // serial port file descriptor
unsigned char sbuf[10];

int main (void) {

	mFD = open("/dev/ttyUSB0",O_RDWR|O_NOCTTY);
   cfsetispeed(&mData, B19200);

	sbuf[0] = 0x55; // I2C_CMD
	sbuf[1] = 0xb5; // addr+1
	//sbuf[2] = 0x0d;   // REVISION register
	sbuf[2] = 0x0a;   // BATT register
	sbuf[3] = 3; // 1 data byte
	write(mFD, sbuf, 4);
	read(mFD, sbuf, 1); // read data back
	printf("data read = %i\n",sbuf[0]);
}
