#define I2CD_CMD	0x53		   // direct I2C control command
#define I2C_CMD		0x55		// registered I2C control command
#define USB_I2C_CMD	0x5a		// CM01 command 

#define WRITE 0x00
#define READ  0x01

typedef unsigned char BYTE;

enum usb_i2c_cmds { USB_I2C_REVISION=0x01, NEW_ADDRESS, UNUSED,
			SCAN1, SCAN2, SCAN3, SCAN4, SCAN6, SCAN8, SCAN12, SCAN16,
			SETPINS=0x10,GETPINS,GETAD
};

int mFD; // serial port file descriptor
int SerialOpen( const char* portDevStr, int portBaud ) ;
int Write_i2c(BYTE addr, BYTE reg, BYTE data) ;
BYTE *Read_i2c(BYTE addr, BYTE start_reg, unsigned int ndata);
BYTE *usb_i2c_cmd(enum usb_i2c_cmds command, BYTE data1, BYTE data2) ;
