#include <stdio.h>
#include <stdlib.h>
#include <termios.h>
#include <unistd.h>  // usleep 
#include <fcntl.h>   // file serial stuff 
#include <sys/ioctl.h>
#include "usb_i2c.h"
#include "md23.h"

// This sends an explicit STOP to the MD23 motors.
// KMN 7/18/2007

int main (int argc, char *argv[]) {
 BYTE addr=0xb4;

 if (SerialOpen("/dev/ttyUSB0",B19200)<0)
	if (SerialOpen("/dev/ttyUSB1",B19200)<0) {
			fprintf(stderr,"Problem opening port");
			return -1;
 }

	// Verify the address by reading the rev
	printf("Set Mode to Unsigned...");  fflush(stdout);
	Write_i2c(addr,MODE,0);
 	printf("done.\n");  fflush(stdout);

	// Stop
 	printf("Stopping Motor.\n");  fflush(stdout);
	Write_i2c(addr,SPEED1,128);
	Write_i2c(addr,SPEED2,128);
 	printf("done.\n");  fflush(stdout);
} 
